org.eclipse.ease

## Class AbstractHeaderParser

- java.lang.Object
- - org.eclipse.ease.AbstractHeaderParser

All Implemented Interfaces:
  IHeaderParser

Direct Known Subclasses:
  JavaScriptHeaderParser, PythonHeaderParser

    public abstract class AbstractHeaderParser
    extends Object
    implements IHeaderParser

### Field Summary

Fields
`static String` `LINE_DELIMITER` Default line break character.

### Constructor Summary

Constructors
Constructor and Description
`AbstractHeaderParser()`

### Method Summary

Methods
`String` `createHeader(Map<String,String> headerContent)` Create a script header for given keywords.
`Map<String,String>` `parse(InputStream stream)` Parse stream for key:value pairs.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINE_DELIMITER

    public static final String LINE_DELIMITER

Default line break character.

### Constructor Detail

#### AbstractHeaderParser

    public AbstractHeaderParser()

### Method Detail

#### parse

    public Map<String,String> parse(InputStream stream)

Description copied from interface: `IHeaderParser`
Parse stream for key:value pairs.

Specified by:
  `parse` in interface `IHeaderParser`
Parameters:
  `stream` - stream to parse
Returns:
  map containing keywords or empty map

#### createHeader

    public String createHeader(Map<String,String> headerContent)

Description copied from interface: `IHeaderParser`
Create a script header for given keywords.

Specified by:
  `createHeader` in interface `IHeaderParser`
Parameters:
  `headerContent` - key:value pairs to be stored
Returns:
  String representation of header